abstract class BaseEvent {}

class InitEvent extends BaseEvent {}

class ErrorEvent extends BaseEvent {
  final int code;
  final String msg;
  ErrorEvent({required this.code, required this.msg});
}

class GetAppConfigEvent extends BaseEvent {
  final int? administratorId;
  GetAppConfigEvent({this.administratorId});
}
