// import '../../../presentation/app/app_bloc.dart';
// import '../../../presentation/enum/theme.dart';
// import '../../../presentation/widget/custom_text_default_field.dart';
// import 'package:easy_localization/src/public_ext.dart';
// import 'package:flutter/material.dart';
// import 'package:flutter_bloc/flutter_bloc.dart';
// import 'package:restart_app/restart_app.dart';

// import 'custom_dialog_warning_one_button.dart';

// class ThemeDialog extends StatefulWidget {
//   @override
//   State<StatefulWidget> createState() {
//     return _StateThemeDialog();
//   }
// }

// class _StateThemeDialog extends State<ThemeDialog> {
//   @override
//   Widget build(BuildContext context) {
//     return Dialog(
//       backgroundColor: Theme.of(context).backgroundColor,
//       shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(10.0)),
//       child: Column(
//         mainAxisSize: MainAxisSize.min,
//         crossAxisAlignment: CrossAxisAlignment.center,
//         children: [
//           Padding(
//             padding: EdgeInsets.only(left: 20, top: 20, right: 20),
//             child: Text(
//               "text_change_theme".tr(),
//               style: Theme.of(context).primaryTextTheme.headline6,
//             ),
//           ),
//           SizedBox(height: 12),
//           _buildTile(ThemeLocal.DesignDefault, "text_design_default".tr()),
//           _buildTile(ThemeLocal.DesignUpdate, "text_design_update".tr()),
//           _buildTile(ThemeLocal.system, "Use system settings"),
//           SizedBox(height: 12),
//           _buildBottom(),
//           SizedBox(height: 20),
//         ],
//       ),
//     );
//   }

//   _buildTile(ThemeLocal theme, String title) {
//     return BlocBuilder<AppBloc, AppState>(
//       builder: (context, state) {
//         return WillPopScope(
//           onWillPop: () async {
//             Navigator.of(context, rootNavigator: true).pop();
//             return Future.value(false);
//           },
//           child: Padding(
//             padding: EdgeInsets.symmetric(horizontal: 5, vertical: 5),
//             child: Row(
//               crossAxisAlignment: CrossAxisAlignment.center,
//               mainAxisAlignment: MainAxisAlignment.start,
//               children: [
//                 Radio<ThemeLocal>(
//                   value: theme,
//                   groupValue: state.selectTheme,
//                   onChanged: _changeTheme,
//                   activeColor: Theme.of(context).primaryColorLight,
//                 ),
//                 CustomTextDefaultField(label: title),
//               ],
//             ),
//           ),
//         );
//       },
//     );
//   }

//   Widget _buildBottom() {
//     return Row(
//       mainAxisAlignment: MainAxisAlignment.end,
//       children: [
//         TextButton(
//             onPressed: _goBack,
//             child: Text(
//               "CANCEL",
//               style: Theme.of(context).primaryTextTheme.button,
//             )),
//         SizedBox(width: 20),
//       ],
//     );
//   }

//   _changeTheme(ThemeLocal? theme) {
//     if (theme != null) {
//       showDialog(
//         context: context,
//         barrierDismissible: false,
//         builder: (context) {
//           return CustomDialogOne(
//             code: "",
//             colorWarning: Colors.green,
//             content: ["Bạn cần khởi động lại ứng dụng để thay đổi giao diện"],
//             title: "Thay đổi giao diện".tr(),
//             negativeBtnText: "text_ok".tr(),
//             iconWarning: null,
//             positiveBtnPressed: () {
//               BlocProvider.of<AppBloc>(context).add(AppEvent.themeEvent(theme));
//               Restart.restartApp();
//             },
//           );
//         },
//       );
//     }
//   }

//   _goBack() {
//     Navigator.pop(context);
//   }
// }
