// import 'package:flutter/cupertino.dart';

// abstract class Failure {
//   final String errorMessage;

//   Failure({
//     StackTrace? stackTrace,
//     String? label,
//     dynamic exception,
//     this.errorMessage = '',
//   }) {
//     debugPrintStack(label: label, stackTrace: stackTrace);
//     // ErrorReport.externalFailureError(exception, stackTrace, label);
//   }
// }
// class UnknownError extends Failure {
//   final String errorMessage;
//   final dynamic exception;
//   final StackTrace? stackTrace;
//   final String? label;

//   UnknownError({
//     this.errorMessage = 'Unknown Error',
//     this.label,
//     this.exception,
//     this.stackTrace,
//   }) : super(
//           stackTrace: stackTrace,
//           label: label,
//           exception: exception,
//         );
// }

import 'package:freezed_annotation/freezed_annotation.dart';

part 'failure.freezed.dart';

@freezed
class Failure with _$Failure {
  const factory Failure(String code) = _ErrorFailure;

  const factory Failure.networkException(dynamic message) = _NetworkException;
}
