import 'package:easy_localization/easy_localization.dart';

import 'value_validators.dart';

class ValueObjects {
  static String? checkPhoneValid(String value) {
    if (value.isEmpty == true) {
      return "text_please_input_phone".tr();
    } else if (Validators.isValidPassword(value)) {
      return "text_input_phone_incorrect".tr();
    }
    return null;
  }

  static String? checkPasswordValid(String value) {
    if (value.isEmpty == true) {
      return "text_please_input_password".tr();
    } else if (Validators.isValidPassword(value)) {
      return "text_input_password_incorrect".tr();
    }
    return null;
  }
}

bool isCheckString(String value) {
  if (value.isNotEmpty == true) {
    return true;
  }
  return false;
}

bool isCheckList<T>(List<T> value) {
  if (value.isNotEmpty == true) {
    return true;
  }
  return false;
}
